﻿Copyright (c) (2017) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Yokogawa DL1720E: (1 year) VER IEEE /9500+1Hd,33250
DATE:                  2017-04-13 15:06:30
AUTHOR:                Fluke
REVISION:              $Revision: 2624 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       199
CONFIGURATION:         Datron 9500 (S6)
CONFIGURATION:         Datron 9510 on channel 1
CONFIGURATION:         Agilent 33250A
=============================================================================
#
#  Procedure Author:
#        VY, DAC
#
#  Source(s):
#        Yokogawa DL1720E/DL1740E/DL1740EL Digital Oscilloscope
#        Service Manual, SM 701730-01E, 1st Edition, Octocber 2004
#
#  Additional Equipment Required:
#        BNC T (f-m-f)
#        Cable, 50 Ohm, BNC(m)-(m), Pomona 2249-C-36
#        Dual input coupler
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  9500         600MH                        1Vpp           LS    S  L
  1.003  33250        *                                                 S
  1.004  ENDIF

  1.005  IF           NOT(VERSIONCHECK("7.3"))
  1.006  END
  1.007  ENDIF

  1.008  ASK-   R   Q N              P                            A        V

  1.009  CALL         Sub Display Copyright
  1.010  CALL         Sub High Voltage Safety Warning
  1.011  CALL         Sub Select Failed Test Mode
  1.012  CALL         Sub Select Guardbanding & Ver Method (No NTHROW)

  1.013  HEAD         PRELIMINARY INSTRUCTIONS
  1.014  DISP         Ambient temperature: 18 °C - 28 °C.
  1.014  DISP         Relative humidity: less than 80 %.
  1.014  DISP         Warmup time: 30 minutes.

  1.015  HEAD         PRELIMINARY INSTRUCTIONS
  1.016  CALL         Sub Yokogawa DL17x0 Setup Interface IEEE
  1.017  CALL         Sub UUT Connection GPIB

  1.018  MATH         @UUT_Manufacturer = "YOKOGAWA"
  1.019  MATH         @UUT_Model        = "DL1720E"
  1.020  MATH         @UUT_AssetNum     = UUT()

  1.021  IF           NOT(EMPTY(@UUT_AssetNum))
  1.022  MATH         @UUT_SerialNum = SN(@UUT_AssetNum)
  1.023  ENDIF

  1.024  CALL         Sub IEEE-488.2 Identification Query IEEE
  1.025  CALL         Sub Yokogawa DL17x0 Model Number

  1.026  IF           @Abort
  1.027  END
  1.028  ENDIF

  1.029  CALL         Sub IEEE-488.2 Identification Query Check Response

  1.030  IF           @Abort
  1.031  END
  1.032  ENDIF

  1.033  HEAD         EQUIPMENT REQUIREMENTS
  1.034  OPBR         -z Do you want to review the list of additional
  1.034  OPBR         equipment and/or accessories required?

  1.035  IF           MEM1
  1.036  DISP         The following additional equipment and/or
  1.036  DISP         accessories are required:
  1.036  DISP
  1.036  DISP         - BNC T (f-m-f)
  1.036  DISP         - Cable, 50 Ohm, BNC(m)-(m), Pomona 2249-C-36
  1.036  DISP         - Dual input coupler
  1.037  ENDIF

# NOTE: The execution order of this verification procedure has been optimized
# to minimize operator intervention, while retaining the correct sequence for
# reported test results.  For more information about the method used, refer
# to this application note, available at www.flukecal.com:
# Application Note 6001075: Preserving Results Order While Optimizing
# Execution Sequence in MET/CAL Procedures.

  1.038  RESET        *CLS
  1.039  IEEE2        *RST

  1.040  CALL         Sub Yokogawa Set Bandwidth & Num_Chan
  1.041  CALL         Sub Yokogawa DL17x0 Self Test IEEE
  1.042  CALL         Sub Yokogawa DL17x0E Line Trigger and Hold Off IEEE
  1.043  CALL         Sub Yokogawa DL17x0E Probe Compensation Output IEEE

  1.044  DISP         Connect the CH 1 Active Head to the UUT CH 1.
  1.045  MATH         M[1] = 1
  1.046  CALL         Sub Yokogawa DL17x0 (1 yr) Timebase Acc IEEE /9500
  1.047  CALL         Sub Yokogawa DL17x0 (1 yr) Bandwidth IEEE /9500
  1.048  JMPL         TRIG_LEVEL_ACC_CH1

  1.049  LABEL        BANDWIDTH_CH2
  1.050  DISP         Connect the CH 1 Active Head to the UUT CH 2.
  1.051  MATH         M[1] = 2
  1.052  CALL         Sub Yokogawa DL17x0 (1 yr) Bandwidth IEEE /9500
  1.053  JMPL         TRIG_LEVEL_ACC_CH2


  1.054  LABEL        TRIG_LEVEL_ACC_CH1
  1.055  MATH         M[1] = 1
  1.056  CALL         Sub Yokogawa DL17x0E (1 yr) Trig Lev Acc IEEE /9500
  1.057  JMPL         OFFSET_ACC_CH1

  1.058  LABEL        TRIG_LEVEL_ACC_CH2
  1.059  MATH         M[1] = 2
  1.060  CALL         Sub Yokogawa DL17x0E (1 yr) Trig Lev Acc IEEE /9500
  1.061  JMPL         OFFSET_ACC_CH2

  1.062  LABEL        TRIG_SENS_CH1
  1.063  MATH         M[1] = 1
  1.064  CALL         Sub Yokogawa DL17x0E (1 yr) Trig Sens IEEE /9500
  1.065  JMPL         BANDWIDTH_CH2

  1.066  LABEL        TRIG_SENS_CH2
  1.067  MATH         M[1] = 2
  1.068  CALL         Sub Yokogawa DL17x0E (1 yr) Trig Sens IEEE /9500
  1.069  JMPL         EXT_TRIG_ACC

  1.070  LABEL        OFFSET_ACC_CH1
  1.071  MATH         M[1] = 1
  1.072  CALL         Sub Yokogawa DL17x0 (1 yr) Offset Acc IEEE /9500
  1.073  JMPL         DCV_CH1

  1.074  LABEL        OFFSET_ACC_CH2
  1.075  MATH         M[1] = 2
  1.076  CALL         Sub Yokogawa DL17x0 (1 yr) Offset Acc IEEE /9500
  1.077  JMPL         DCV_CH2

  1.078  LABEL        DCV_CH1
  1.079  MATH         M[1] = 1
  1.080  CALL         Sub Yokogawa DL17x0 (1 yr) DCV Acc IEEE /9500
  1.081  JMPL         TRIG_SENS_CH1

  1.082  LABEL        DCV_CH2
  1.083  MATH         M[1] = 2
  1.084  CALL         Sub Yokogawa DL17x0 (1 yr) DCV Acc IEEE /9500
  1.085  JMPL         TRIG_SENS_CH2

  1.086  LABEL        EXT_TRIG_ACC
  1.087  DISP         Connect a BNC T (f-m-f) to UUT CH1.
  1.087  DISP
  1.087  DISP         Connect CH1 Active Head to one side of the BNC T.
  1.087  DISP
  1.087  DISP         Connect the other side of the BNC T to UUT EXT TRIG IN
  1.087  DISP         on the front panel via a 50 Ohm feed through.
  1.088  MATH         M[1] = 1
  1.089  CALL         Sub Yokogawa DL17x0E (1 yr) ExTrig Lev Acc IEEE /9500

  1.090  DISP         Connect UUT TRIG OUT on the rear panel to UUT CH2
  1.090  DISP         through a BNC cable.
  1.091  MATH         M[1] = 1
  1.092  CALL         Sub Yokogawa DL17x0E (1 yr) ExTrig Sens IEEE /9500
  1.093  DISP         Remove all connections.

  1.094  DISP         Connect Calibrator 9500 Ref Frequency Output on 9500
  1.094  DISP         rear panel to 33250A 10MHz IN terminal on 33250A rear
  1.094  DISP         panel via a BNC cable.
  1.094  DISP
  1.094  DISP         Connect 33250A Output on 33250A front panel to UUT EXT
  1.094  DISP         CLOCK IN terminal on UUT front panel via a 50 ohm feed
  1.094  DISP         through.
  1.095  DISP         Connect CH 1 Active to UUT CH1 and CH2 via a dual input
  1.095  DISP         coupler.
  1.096  MATH         M[1] = 1; M[2] = 2
  1.097  CALL         Sub Yokogawa DL17x0E (1 yr) ExClock In IEEE /9500,33250

  1.098  END
